Notify

Notify Workflow Run Event

Notify an event to a specific workflow run's waiters.

POST/v2/notify/{workflowRunId}/{eventId}
cURL
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/notify/{workflowRunId}/{eventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '<string>'
201Response
{
  "waiter": {
    "url": "<string>",
    "headers": "<string>",
    "deadline": 123,
    "timeoutBody": "<string>",
    "timeoutUrl": "<string>",
    "timeoutHeaders": "<string>"
  },
  "messageId": "<string>",
  "deduplicated": true,
  "error": "<string>",
  "workflowRunId": "<string>",
  "workflowCreatedAt": 123
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

workflowRunIdpathstringrequired

The workflow run ID to notify.

eventIdpathstringrequired

The event ID that waiters are listening for.

Body

bodyobjectrequired

The event data to send to the waiter. This will be the request payload for the waiting workflow step.

Response

201 — Event notification sent or saved successfully

waiterobject
messageIdstring

The ID of the notification message that was published.

deduplicatedboolean

Whether this notification was deduplicated.

errorstring

Error message if the notification failed.

workflowRunIdstring

The workflow run ID if the notification was sent within a workflow.

workflowCreatedAtinteger

The timestamp when the workflow run was created (Unix timestamp in milliseconds).

400 — Bad Request - Invalid workflow run ID or event ID

errorstringrequired

Error message

401 — Unauthorized

errorstringrequired

Error message

429 — Rate Limit Exceeded

errorstringrequired

Error message

500 — Internal Server Error

errorstringrequired

Error message

Loading search…